Bug 891386 - [it] deprecated modules should not be translated from msgid to msgstr
[it] deprecated modules should not be translated from msgid to msgstr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: Translation
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2013-01-02 14:23 EST by John Sefler
Modified: 2013-02-21 04:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:06:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-01-02 14:23:17 EST
Description of problem:
When a word is actually referring to a command line module, it should not be translated.

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.18-1.el6.x86_64

How reproducible:



Steps to Reproduce:
[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/it/LC_MESSAGES/rhsm.mo | grep -i -A1 -- "deprecated, see"
msgid "Deprecated, see --auto-attach"
msgstr "Deprecato consultare --auto-attach"
--
msgid "Deprecated, see attach"
msgstr "Deprecato, consultare"
--
msgid "Deprecated, see remove"
msgstr "Deprecato, consultare rimozione"
--
msgid "deprecated, see auto-attach-interval"
msgstr "deprecato, consultare auto-attach-interval"
  
Actual results:
above

Expected results:
msgstr "Deprecato, consultare attach"
msgstr "Deprecato, consultare rimozione"

Additional info:
Comment 2 Francesco Valente 2013-01-02 17:27:10 EST
Both entries have been changed accordingly on zanata.
Comment 3 Adrian Likins 2013-01-04 13:16:02 EST
fixed upstream, should be in 1.1.19
Comment 5 John Sefler 2013-01-08 15:09:18 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.20-1.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/it/LC_MESSAGES/rhsm.mo | grep -i -A1 -- "deprecated, see"
msgid "Deprecated, see --auto-attach"
msgstr "Deprecato consultare --auto-attach"
--
msgid "Deprecated, see attach"
msgstr "Deprecato, consultare attach"
--
msgid "Deprecated, see remove"
msgstr "Deprecato, consultare remove"
--
msgid "deprecated, see auto-attach-interval"
msgstr "deprecato, consultare auto-attach-interval"


VERIFIED
Comment 7 errata-xmlrpc 2013-02-21 04:06:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0350.html

Note You need to log in before you can comment on or make changes to this bug.